Subject: [PATCHv4 net-next-2.6 0/5] Removal of RH2/HAO from IPsec-protected MIPv6 traffic

From: Arnaud Ebalard <[email-masked]>
Date: Mon, 04 Oct 2010 08:24:51 +0200

Hi,

This is version 4 of the patches. Compared to previous version:

 - symbols which need not be exported are no more exported
 - s/printk(KERNINFO, ...)/pr_info()/ in net/ipv6/mip6.c (my code
   and existing one)
 - I also refactored some initialization code for mip6 states
   (by introduced mip6_state_init_sanity_check())

After the discussion with Herbert, I decided to leave input handlers
as they are at the moment until I have some additional time to dig on
it. At least, it's safe.

Regarding reject handler() (to warn user space so that a Binding Error
can be sent), it still does nothing yet.

Herbert, if you read this, can you take a quick look at patches 1/5 and
4/5 to tell if the changes are acceptable for IPsec users.

Cheers,

a+